@use "../abstracts/mixins" as mix;
@use "../abstracts/variables" as var;
@use "sass:math";

#captureImagePopup {
  .header {
    height: var.$gutter-base * 2.5;
    width: 100%;
    padding: math.div(var.$gutter-base, 2.5);
    background-color: var.$background-color-base;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.25);
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;

    img {
      width: 24%;
      position: absolute;
      top: 0px;
      left: 0;
      z-index: 1000;
    }

    .main {
      width: 70%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-left: 96px;

      h3 {
        color: var.$text-color-primary;
        margin: 0;
        font-family: "Reenie Beanie";
        font-style: normal;
        font-weight: var.$font-weight-medium;
        font-size: var.$font-size-big;
        line-height: var.$gutter-base;
      }

      .topnav {
        overflow: hidden;

        .myLinks {
          background: #a26a5e;
          box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
          display: none;
          position: absolute;
          top: 75px;
          left: 0;
          right: 0;
          width: 100%;
          text-align: center;

          a {
            font-size: 20px;
            color: white;
            padding: 12px 14px;
            text-decoration: none;
            // font-size: 17px;
            display: block;
          }
        }

        a.icon {
          color: var.$text-color-primary;
          display: block;
          font-size: 25px;
        }
      }
    }
  }

  .banner {
    background-color: #a16a5e;
    padding: 20px 15px;

    .capture {
      display: flex;
      align-items: center;
      justify-content: center;

      i {
        color: #edd5bb;
        font-size: 40px;
      }
    }

    canvas {
      display: none;
    }
  }
}
